Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Interface LookaheadIterator

All Superinterfaces:
  SequenceIterator

All Known Implementing Classes:
  ArrayIterator, GroupAdjacentIterator, ListIterator, PositionIterator, RangeExpression.RangeIterator, UnionEnumeration

public interface LookaheadIterator
extends SequenceIterator

A SequenceIterator is used to iterate over a sequence. An AxisIterator is a SequenceIterator that throws no exceptions. Despite its name, an AxisIterator is not invariably used to find nodes on an axis of a tree, though this is its most common use. For example, the class ArrayIterator is also defined as an AxisIterator.

Method Summary
`boolean` | `hasNext()` Determine whether there are more items to come.

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`current, getAnother, next, position`

Method Detail

### hasNext

    public boolean hasNext()

  Determine whether there are more items to come. Note that this operation is stateless and it is not necessary (or usual) to call it before calling next(). It is used only when there is an explicit need to tell if we are at the last element.

  Returns:
    true if there are more nodes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD